pcl::_PointSurfel Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointSurfel:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
PCL_ADD_UNION_RGB
float radius
float confidence
float curvature
} |
float data_c [4]
}; |
| PCL_ADD_EIGEN_MAPS_RGB

## Detailed Description

Definition at line 1816 of file point_types.hpp.

## Member Data Documentation

##

union { ... }

## confidence

float pcl::_PointSurfel::confidence

Definition at line 1826 of file point_types.hpp.

Referenced by pcl::PointSurfel::PointSurfel().

## curvature

float pcl::_PointSurfel::curvature

Definition at line 1827 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::add(), pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::get(), pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::operator()(), pcl::PointSurfel::PointSurfel(), and pcl::common::IntensityFieldAccessor< pcl::PointSurfel >::set().

## data_c

float pcl::_PointSurfel::data_c[4]

Definition at line 1829 of file point_types.hpp.

## PCL_ADD_EIGEN_MAPS_RGB

pcl::_PointSurfel::PCL_ADD_EIGEN_MAPS_RGB

Definition at line 1831 of file point_types.hpp.

## PCL_ADD_NORMAL4D

pcl::_PointSurfel::PCL_ADD_NORMAL4D

Definition at line 1819 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::_PointSurfel::PCL_ADD_POINT4D

Definition at line 1818 of file point_types.hpp.

## PCL_ADD_UNION_RGB

pcl::_PointSurfel::PCL_ADD_UNION_RGB

Definition at line 1824 of file point_types.hpp.

## radius

float pcl::_PointSurfel::radius

Definition at line 1825 of file point_types.hpp.

Referenced by pcl::PointSurfel::PointSurfel().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp